Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vfs
Class FileSystemBase

    java.lang.Object
      de.grogra.util.TreeModelSupport
          de.grogra.vfs.FileSystem
              de.grogra.vfs.FileSystemBase

All Implemented Interfaces:
  javax.swing.tree.TreeModel

Direct Known Subclasses:
  JoinedFileSystem, MemoryFileSystem

    public abstract class FileSystemBase

extends FileSystem

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.vfs.FileSystem
`FileSystem.Out`

Field Summary

Fields inherited from class de.grogra.vfs.FileSystem
`fileNameMap, manifest, MIME_TYPE`

Fields inherited from class de.grogra.util.TreeModelSupport
`NODES_CHANGED, NODES_INSERTED, NODES_REMOVED, STRUCTURE_CHANGED`

Constructor Summary
`FileSystemBase(java.lang.String fsName, java.lang.String protocol)`

Method Summary
`java.net.URLStreamHandler` | `getURLStreamHandler()`
`java.lang.Object` | `toFile(java.net.URL url)`
`java.net.URL` | `toURL(java.lang.Object file)`

Methods inherited from class de.grogra.vfs.FileSystem
`addLocalFile, copyFilesTo, copyFileTo, copyFileTo, copyFileToDirectory, copyFileToDirectory, create, create, createImpl, delete, equals, fireInserted, getAttribute, getAttribute, getAttributes, getCharset, getChild, getChildCount, getEventFor, getFile, getFile, getFile, getFSName, getIndexOfChild, getInputStream, getManifest, getManifestName, getMimeType, getName, getOutputStream, getParent, getPath, getPathWithLeadingSlash, getProtocol, getReader, getRoot, getSize, getTime, getTreePath, getWriter, isContainedInChildren, isPersistent, isReadOnly, listFiles, readJar, removeNonlistedAttributes, setFileNameMap, setManifest, setMimeType, setTime, valueForPathChanged, writeJar`

Methods inherited from class de.grogra.util.TreeModelSupport
`addTreeModelListener, allListenersRemoved, clearListeners, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, firstListenerAdded, hasListeners, removeTreeModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, isLeaf, removeTreeModelListener`

Constructor Detail

### FileSystemBase

    public FileSystemBase(java.lang.String fsName,
                          java.lang.String protocol)

Method Detail

### getURLStreamHandler

    public java.net.URLStreamHandler getURLStreamHandler()

### toFile

    public java.lang.Object toFile(java.net.URL url)

  Specified by:
    `toFile` in class `FileSystem`

### toURL

    public java.net.URL toURL(java.lang.Object file)

  Specified by:
    `toURL` in class `FileSystem`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD